Bug 447376 - pm-utils should own /usr/lib/pm-utils directory
pm-utils should own /usr/lib/pm-utils directory
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pm-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Phil Knirsch
desktop-bugs@redhat.com
:
Depends On:
Blocks: 432382 445005
  Show dependency treegraph
 
Reported: 2008-05-19 14:25 EDT by Milan Zázrivec
Modified: 2015-03-04 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:46:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-05-19 14:25:27 EDT
Description of problem:
pm-utils package should own /usr/lib/pm-utils directory. Currently it owns
everything under /usr/lib/pm-utils, not the directory itself. This setup
leads to mislabeled /usr/lib/pm-utils directory.

Version-Release number of selected component (if applicable):
pm-utils-0.99.3-6.el5.19

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2, pm-utils package included, selinux enabled.
2. # rpm -qf /usr/lib/pm-utils
3. # setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts \
   /usr/lib/pm-utils

Actual results:
# rpm -qf /usr/lib/pm-utils
file /usr/lib/pm-utils is not owned by any package
# setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts \
  /usr/lib/pm-utils
setfiles:  relabeling /usr/lib/pm-utils/bin from system_u:object_r:lib_t:s0 to
system_u:object_r:bin_t:s
  
Additional info:
Low priority thing, unlikely to cause any harm.
Comment 1 RHEL Product and Program Management 2008-06-02 15:58:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Phil Knirsch 2008-06-13 09:29:11 EDT
Simple fix, granting Devel ACK.

Read ya, Phil
Comment 4 Zack Cerza 2008-09-30 14:36:58 EDT
Verified with pm-utils-0.99.3-7.el5
Comment 6 errata-xmlrpc 2009-01-20 15:46:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0073.html

Note You need to log in before you can comment on or make changes to this bug.